{
  component TPreview
  version 3.0
  Rustam Kafarov  Copyright 2001
  e-mail   : rustamkafarov@hotmail.com
  ICQ #    : 67855579
  homepage : www.kafarov.f2s.com

  Disclaimer:
  THIS IS FREEWARE COMPONENT WITH FULL SOURSE CODE!

  In this package used DIB_Image unit based on DIB unit from DelphiX library
  by Hiroyuki Hori
  ( e-mail : hori@ingjapan.ne.jp
    homepage : http://www.yks.ne.jp/~hori/ )

  Special Thanks for my friend Kambiz Khojasteh
  ( e-mail : khojasteh@mail.com
    homepage : http://www.crosswinds/~khojasteh.com/ )
  for his help in creating this component.

  05 july 2001

  }


unit PreviewReg;

interface
Uses Classes, DsgnIntf;


type
  TPrinterOptions_PropertyEditor = class(TClassProperty)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
  end;

procedure Register;

implementation
uses
  Forms, Preview, Paper, PrinterOptionsEd;

procedure TPrinterOptions_PropertyEditor.Edit;
begin
  fmPrinterOptions := TfmPrinterOptions.Create( Application );
  Try
    fmPrinterOptions.CurrPrinter.Orientation := TPrinterSetup(GetOrdValue).Orientation;
    fmPrinterOptions.CurrPrinter.PaperWidth_MM := TPrinterSetup(GetOrdValue).PaperWidth_MM;
    fmPrinterOptions.CurrPrinter.PaperHeight_MM := TPrinterSetup(GetOrdValue).PaperHeight_MM;
    fmPrinterOptions.CurrPrinter.PaperFormat := TPrinterSetup(GetOrdValue).PaperFormat;
    fmPrinterOptions.SetPaperFormat( fmPrinterOptions.CurrPrinter.PaperFormat );
    fmPrinterOptions.SetOrientation( fmPrinterOptions.CurrPrinter.Orientation );
    fmPrinterOptions.SetWidth_MM( fmPrinterOptions.CurrPrinter.PaperWidth_MM );
    fmPrinterOptions.SetHeight_MM( fmPrinterOptions.CurrPrinter.PaperHeight_MM );
    If fmPrinterOptions.ShowModal = 1 //OK
      Then Begin
             TPrinterSetup(GetOrdValue).PaperFormat := fmPrinterOptions.CurrPrinter.PaperFormat;
             TPrinterSetup(GetOrdValue).Orientation := fmPrinterOptions.CurrPrinter.Orientation;
             TPrinterSetup(GetOrdValue).PaperWidth_MM := fmPrinterOptions.CurrPrinter.PaperWidth_MM;
             TPrinterSetup(GetOrdValue).PaperHeight_MM := fmPrinterOptions.CurrPrinter.PaperHeight_MM;
             Modified;
           End;
  Finally
    fmPrinterOptions.Free;
  End;
end;

function TPrinterOptions_PropertyEditor.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paDialog];
end;

{***************************}

procedure Register;
begin
  RegisterComponents('Extended', [TPreview]);
  RegisterPropertyEditor(TypeInfo(TPrinterSetup), nil, '',
    TPrinterOptions_PropertyEditor);
end;


end.



